
Name:           python-pygccxml
Version:        1.7.4
Release:        %mkrel 1
Summary:        Python package for easy C++ declarations navigation
License:        Boost
Group:          Development/Python
Source:         https://github.com/gccxml/pygccxml/archive/v%{version}.tar.gz#/pygccxml-%{version}.tar.gz
URL:            https://github.com/gccxml/pygccxml
BuildRequires:  python-devel
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  python3-devel
BuildRequires:  pythonegg(3)(setuptools)
Requires:       castxml
BuildArch:      noarch


%description
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python2 version.


%package -n python3-pygccxml
Summary:	Python package for easy C++ declarations navigation
Group:		Development/Python

%description -n python3-pygccxml
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python3 version.


%prep
%setup -q -n pygccxml-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc README.rst docs/apidocs
%license LICENSE.rst
%{python2_sitelib}/*egg-info
%{python2_sitelib}/pygccxml

%files -n python3-pygccxml
%doc README.rst docs/apidocs
%license LICENSE.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/pygccxml



%changelog
* Fri Apr 29 2016 philippem <philippem> 1.7.4-1.mga6
+ Revision: 1007714
- update to 1.7.4, add Python3 version

* Sun Apr 10 2016 philippem <philippem> 1.7.3-1.mga6
+ Revision: 1000056
- update to 1.7.3

* Sat Feb 06 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 940189
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 745072
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 729456
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 688254
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 philippem <philippem> 1.0.0-1.mga5
+ Revision: 638285
- adapt to Mageia

  + spuhler <spuhler>
    - imported package python-pygccxml


* Fri Dec 11 2009 alexandre@exatati.com.br
- Fixed Require tag in spec file (removed old and left gccxml).
* Thu Dec 10 2009 alexandre@exatati.com.br
- Initial package (1.0.0) for openSUSE.
